<?php

namespace BitApps\PiPro\src\Providers;

interface TriggerInterface
{
    /**
     * Poll the platform and return the current state/data.
     */
    public function poll(array $nodeConfig): array;

    /**
     * Process the detected change.
     */
    public function executeTriggerAction(array $payload): array;
}
